Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	pixel format handling library
Name:		babl
Version:	0.0.22
Release:	1
License:	LGPL 
URL:		http://gegl.org/babl/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel

%description
babl is a library for dynamically handling pixel formats and managing
conversions between them.
It allows converting between different methods of storing pixels known as pixel formats that have with different bitdepths and other data representations, color models and component permutations.

A vocabulary to formulate new pixel formats from existing primitives is provided as well as the framework to add new color models and data types. 

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir 
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/babl-0.0/

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.22-1
- initial CCux package release
